<?
/* +++ OOP's Board SQLԴϴ.  𸣽ôº ǵ帮 ּ +++ */

$opsbd_group = "opsbd_group";      // ׷ Ʈ
$opsbd_boards = "opsbd_boards";  // Խ Ʈ ִ ̺
$opsbd_category = "opsbd_category"; // īװ ̺ ̸

/*******************************/
/******* ׷ Ʈ ̺ *******/
/*******************************/
$opsbd_group_schema = "
	create table $opsbd_group (
	    no int(20) unsigned not null auto_increment primary key ,
	    name char(50) not null,

	    member_num int(20) unsigned not null default '0',
	    board_num int(11) unsigned not null default '0' ,
	    
	    input_var text

	 )
	 
	 ";
/******* ׷츮Ʈ ̺  ********/
	    


/*********************************/
/******* Խ Ʈ ̺ *******/
/*********************************/

$opsbd_boards_schema = "

	CREATE TABLE $opsbd_boards (
	    no int(20) unsigned NOT NULL auto_increment PRIMARY KEY,
	    group_no int(20) unsigned NOT NULL default '0',
	    name char(50) NOT NULL,
	    title char(255) default NULL,
	    header char(255) default NULL,
	    footer char(255) default NULL,
	    skinname char(255) default NULL,
	    category char(100) default NULL,
	    write_level tinyint(10) NOT NULL default '0',
	    filter_word text,
	    filter_tag text,
	    is_open char(1) not null
	)

";

/******* ԽǸƮ ̺  ********/




/*********************************/
/******* Խ  ̺ *********/
/*********************************/

$opsbd_board_data_schema = "

	CREATE TABLE opsbd_bdata_$board_name (
	  no int(11) unsigned not null auto_increment primary key,
	  
	  is_member char(1),
	  is_secret char(1) not null default '0',

	  ip char(15),
	  password char(20),
	  name char(50) not null,
	  homepage char(255),
	  email char(255),
	  subject char(250) not null,
	  content text not null,
	  use_html char(1) default '0',
	  reply_mail char(1) default '0',
	  category int(11),

	  comment_count int(11),

	  gid int(11) not null,
	  pos int(11) not null,
	  tab int(11) not null,
	  
	  regdate char(19) not null,
	  hit int(11) unsigned not null default '0',
	  vote int(11) unsigned not null default '0'
	)

";

/******* Խ  ̺  ********/




/*******************************/
/*******   īװ ̺   *******/
/*******************************/

$opsbd_category_schema = "
	
	create table $opsbd_category (
		no int(20) unsigned not null default '0' auto_increment primary key,
		groupname char(100) not null,
		name char(100) not null
	)

	";

/******* īװ ̺  ********/





/***************************************/
/******* ª (Comment) ̺ *******/
/***************************************/

$opsbd_comment_schema ="

	create table opsbd_comment_$board_name (
	    no int(20) unsigned not null auto_increment primary key ,

	    num int(20) not null,

	    is_member char(1),
	    name char(50),
	    password char(20),
	    comment text,
	    ip char(15),
	    reg_date char(19)

	)

	";

/******* ª  (Comment) ̺  ********/


/************************************/
/******* Member Group ̺ ********/
/************************************/

$opsbd_member_group_schema = "

	create table opsbd_" . $group_name . "_member_group (
		no int(20) unsigned not null auto_increment primary key ,

		level int(10) not null default '1',
		groupname char(50) not null ,
		can_write char(1) not null default '0' ,
		can_reply char(1) not null default '0' ,
		can_move char(1) not null default '0' ,
		can_notice char(1) not null default '0' ,
		can_delete char(1) not null default '0' ,
		can_readsecret char(1) not null default '0' ,
		can_controlmember char(1) not null default '0' ,
		logo_imageURL varchar(255) 

	)

	";

/********* Member Group  **********/

/************************************/
/******* Member L I S T ̺ ********/
/************************************/

$opsbd_member_list_schema = "

	create table opsbd_" . $group_name . "_member (
		no int(20) unsigned not null auto_increment primary key ,

		name char(50) not null ,
		jumin_num char(20) not null ,
		id char(50) not null ,
		password char(20) not null ,
		email char(100) not null ,
		last_login char(19) ,
		level char(50) not null ,
		write_count int(10) not null default '0' ,
		comment_count int(10) not null default '0' ,
		exp int(20) not null default '0' ,
		yellow_card char(1) not null default '0' ,

		if_open_name char(1) not null default '0' ,
		if_open_email char(1) not null default '0'

	)

	";

/********* Member List  **********/
?>